---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Supervisory Organizations Managed
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10014_N10011_N10001"></a>URI

Collection of Supervisory Organizations managed by a worker:

```
/workers/{id}/supervisoryOrganizationsManaged
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Worker reference. Example: WID of the current user. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N1005C_N10011_N10001"></a>Description

Workers/Supervisory Organizations Managed resource represents the Supervisory Organizations managed by the specified worker. You can only view the Supervisory Organizations permitted by the security profile of the current user.

Workers/Supervisory Organizations Managed supports this method:

-   [GET Workers/Supervisory Organizations Managed](/wcp_docs/hug1380053454602.html#GET)


## <a id="GET"></a>GET Workers/Supervisory Organizations Managed

-   <b>Secured by:</b>

    Reports: Organization security domain



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Maximum</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10011_N10001"></a>GET Workers/Supervisory Organizations Managed Examples

This GET request retrieves the Supervisory Organizations managed by the specified worker:

```
GET /workers/f07f269bf85445bf807ee12d0acc80c9/supervisoryOrganizationsManaged
```

The response is a collection of Supervisory Organizations, in JSON format (in this response there is only 1 Supervisory Organization):

```
{
   "total": 1,
   "data": [   {
      "descriptor": "IT Services",
      "id": "e22d6f43777e4ef29f4f4c5a3afdae77",
      "href": "https://{Workday REST API Endpoint}/supervisoryOrganizations/e22d6f43777e4ef29f4f4c5a3afdae77",
      "workers": "https://{Workday REST API Endpoint}/supervisoryOrganizations/e22d6f43777e4ef29f4f4c5a3afdae77/workers",
      "manager":       {
         "descriptor": "Anthony Rizzo",
         "id": "f07f269bf85445bf807ee12d0acc80c9",
         "href": "https://{Workday REST API Endpoint}/workers/f07f269bf85445bf807ee12d0acc80c9"
      },
      "name": "IT Services"
   }]
}
```

